/*
 * @Author: error: error: git config user.name & please set dead value or install git && error: git config user.email & please set dead value or install git & please set dead value or install git
 * @Date: 2024-10-08 09:26:24
 * @LastEditors: SunTao 328867980@qq.com
 * @LastEditTime: 2024-12-02 14:46:30
 * @FilePath: \znxjxt-ui\src\api\xj\warnSetup.js
 * @Description: 巡检信息-预警设置
 */
import request from "@/utils/request";

// 查询列表病害类型
export function getDefectList(params) {
  return request({
    // 病害类型下拉
    // url: "/metadata/defectType",
    url: "/bigscreen/v2/getDefectTypesDrowDown",
    method: "get",
    params,
  });
}

// 查询预警设置列表
export function getWarnSetupList(params) {
  return request({
    url: "/alarmSetting/list",
    method: "get",
    params,
  });
}

// 更新预警设置
export function updateWarnSetup(params) {
  return request({
    url: "/alarmSetting/update",
    method: "put",
    data: params,
  });
}
